<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_range.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">QCPRange Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_q_c_p_range.html">QCPRange</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a22151e18d961d762d25721211e89c2e5">bounded</a>(double lowerBound, double upperBound) const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#af57d4a37a45d0101177ca30fae5d4ca8">center</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#ae9842b48b6d38dc5e9607358e3083cc8">contains</a>(double value) const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a0fa1bc8048be50d52bea93a8caf08305">expand</a>(const QCPRange &amp;otherRange)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a5fa977db0a4b7800075c629c62cf5e80">expand</a>(double includeCoord)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a9cbfb7cd06eac1839cae981e05c19633">expanded</a>(const QCPRange &amp;otherRange) const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#af81d70f1add7233d73a19dcbe5decb2e">expanded</a>(double includeCoord) const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#aa3aca3edb14f7ca0c85d912647b91745">lower</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a5ca51e7a2dc5dc0d49527ab171fe1f4f">maxRange</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#ab46d3bc95030ee25efda41b89e2b616b">minRange</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#af914a7740269b0604d0827c634a878a9">normalize</a>()</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a4827a37c83b8bb4bf53fcf8f6a257e77">operator!=</a>(const QCPRange &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a558b1248ff6a9e41fd5b2630555a8acc">operator*</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a5cb2332f6957021f47cc768089f4f090">operator*</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a6876aa9620ff2f0f7f1873f998372cef">operator*=</a>(const double &amp;value)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#af53ea6fb823a4a5897162b865841de04">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a9fb2e9941d32001482df670c0d704977">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#afea7c1aa7d08f061cd9bd8832f957df8">operator+=</a>(const double &amp;value)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a797f82830b516646da8873f82e39e356">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a95894bcb15a16a75ca564091374e2191">operator-=</a>(const double &amp;value)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a4b366a3a21974c88e09b0d39d4a24a4b">operator/</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a6137d8682b6835ace840730b4c1e2d63">operator/=</a>(const double &amp;value)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#ab4b7d434541ec2e2e00ef3764dde90d8">operator&lt;&lt;</a>(QDebug d, const QCPRange &amp;range)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a9f8d1fdcf4b6d19779f1c3d9a14b09c9">operator==</a>(const QCPRange &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#aca158d7e69702cee5d77d10a269b01e2">QCPRange</a>()</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a1d9d84d084c8f368fdedd42e0978d405">QCPRange</a>(double lower, double upper)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a808751fdd9b17ef52327ba011df2e5f1">sanitizedForLinScale</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a3d66288d66e1d6df3636075eb42502ee">sanitizedForLogScale</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f">size</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#ae44eb3aafe1d0e2ed34b499b6d2e074f">upper</a></td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_range.html#ab38bd4841c77c7bb86c9eea0f142dcc0">validRange</a>(double lower, double upper)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_range.html#a801b964752eaad6219be9d8a651ec2b3">validRange</a>(const QCPRange &amp;range)</td><td class="entry"><a class="el" href="class_q_c_p_range.html">QCPRange</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
